using System.Diagnostics.CodeAnalysis;
using Unity.Lifetime;

namespace Valg.EVA.Skanning.ContainerExtensions
{
    [ExcludeFromCodeCoverage]
    public static class ContainerLifetimes
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Reliability", "CA2000:Dispose objects before losing scope")]
        public static ContainerControlledLifetimeManager CreateContainerControlledLifetimeManager()
        {
            return new ContainerControlledLifetimeManager();
        }
    }
}
